Get Products Count
curl --request GET \
--url https://api.topsort.com/public/v1/catalog-search-service/catalogs/products/count \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.topsort.com/public/v1/catalog-search-service/catalogs/products/count"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.topsort.com/public/v1/catalog-search-service/catalogs/products/count', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
123{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Catalog API
Get Products Count
Get the number of products in the catalog.
GET
/
public
/
v1
/
catalog-search-service
/
catalogs
/
products
/
count
Get Products Count
Authorizations
A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.
Response
Successful Response
The response is of type integer.
Was this page helpful?
⌘I